aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-allfiles
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-28 15:17:42 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-09-29 14:07:41 +0000
commit543af1de79a84bb940684c7e9adb90fa17820a3b (patch)
tree8fe51aaae964fabe1511666075acfe2aecda7082 /testing/py-allfiles
parentf8436c4d4a64255bd04f9ac2400068ec76e1fcce (diff)
downloadaports-543af1de79a84bb940684c7e9adb90fa17820a3b.tar.gz
aports-543af1de79a84bb940684c7e9adb90fa17820a3b.tar.bz2
aports-543af1de79a84bb940684c7e9adb90fa17820a3b.tar.xz
testing/py-allfiles: new aport
A Python iterator for matching files in directory trees https://pypi.python.org/pypi/allfiles
Diffstat (limited to 'testing/py-allfiles')
-rw-r--r--testing/py-allfiles/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-allfiles/APKBUILD b/testing/py-allfiles/APKBUILD
new file mode 100644
index 0000000000..a6f54ac64f
--- /dev/null
+++ b/testing/py-allfiles/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-allfiles
+_pkgname=allfiles
+pkgver=1.0
+pkgrel=0
+pkgdesc="A Python iterator for matching files in directory trees"
+url="https://pypi.python.org/pypi/allfiles"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.zip"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="d25991ebdc6277f60b90057c565f3b2d allfiles-1.0.zip"
+sha256sums="0265c4531e2606afea3f975d503bddc91618fdd55d9901430795576c5db14524 allfiles-1.0.zip"
+sha512sums="698f1131950eba7cc12af727e2c27c5018c1d81ab1cca7f94f308061220003b5b412ef4720ba1bbebc50e7fee4f5549c43868d2cfe81e99df1f78e6bf7c38d0f allfiles-1.0.zip"